#!/bin/bash
#
# webscript

# set -x

#
###############################################################################
#
# wget sites 
#
###############################################################################
# called from cron so hardcode stuff now
cd /home/dtnuser/pushed/public/today
dirName="N4Csites"

# make so folks know we're doing stuff
WORKING=/tmp/generating
touch $WORKING

# http proxy, if needed
# export http_proxy="http://www-proxy.cs.tcd.ie:8080"

#wget options we'll try out, comment out to remove

# add .html to files, e.g. foo.cgi?bar=25 --> foo.cgi?bar=25.html
#HTMLEXTENSIONS="-E"

# Do logging in wgets
LOGFILE="-a /home/dtnuser/pushed/wget.log"

# Cookie handling
COOKIEFILE="/home/dtnuser/pushed/wget-cookies.txt"
COOKIES="--load-cookies=$COOKIEFILE --save-cookies=$COOKIEFILE --keep-session-cookies"

# Recursion/mirroring
# 1 deep only, shallow in other words
RECURS="-r -l 1 -N"
# two deep, dangerous for big sites
RECURS2="-r -l 2 -N"
# the lot
RECURSM="-m"

# Link handling
LINKS="-pk"

# SSL options
SSLOPT="--no-check-certificate"

# Standard options to always use
# STDOPT="--wait=1 --limit-rate=40K -R 'robots*' -U Mozilla -P $dirName"
STDOPT="-R 'robots*' -U Mozilla -P $dirName"

# put these in the same plaec please!
CHECK=./pausecheck.sh

WGET="wget $STDOPT $LINKS $RECURS $HTMLEXTENSIONS $LOGFILE $COOKIES $SSLOPT"
WGET2="wget $STDOPT $LINKS $RECURS2 $HTMLEXTENSIONS $LOGFILE $COOKIES $SSLOPT"
WGETMIN="wget $STDOPT $LINKS $HTMLEXTENSIONS $LOGFILE $COOKIES $SSLOPT"
WMIRROR="wget -m -P $dirName $COOKIES $SSLOPT $LOGFILE $HTMLEXTENSIONS"

# test area - things to do first
echo "`date --rfc-3339=seconds`:Starting crawl."

###############################################################################
#
# wget sites 
#
###############################################################################

# Irish Times mobile
$CHECK
echo "`date --rfc-3339=seconds`:Getting m.irishtimes.com"
$WMIRROR http://m.irishtimes.com/
# have to fix up filenames
cd $dirName/m.irishtimes.com
find . -name '*.htm*via*' -exec ../../it_cp.sh {} \;
cd images
for file in *.jpg?ts=*
do
	outf=`echo $file | awk -F"?" '{print $1}'`
	cp $file $outf
done
cd ../../..



# Misc. sites of interest
#(RSS feed english indigenous news) grab this page + one click deep (no images, scripts, flash etc)
$CHECK
echo "`date --rfc-3339=seconds`:Getting www.indigeneousportal.com"
$WGETMIN http://www.indigenousportal.com/component/option,com_kusoma/id,1/lang,/  
cp $dirName//www.indigenousportal.com/component/option,com_kusoma/id,1/lang,/index.html \
	$dirName//www.indigenousportal.com/component/option,com_kusoma/id,1/lang,/index.rss


# put time into pushed index
PIFILE="N4Csites/pushed.village.n4c.eu/index.html"
TSTR="Last crawl at: `date --rfc-3339=seconds` UTC"
cp $PIFILE /tmp/pifile
cat /tmp/pifile | sed -e "s/Last crawl at:.*/$TSTR/" >/tmp/pifile1
cp /tmp/pifile1 $PIFILE
rm -f /tmp/pifile /tmp/pifile1

echo "`date --rfc-3339=seconds`:Finished crawl."
rm -f $WORKING
