#!/bin/bash
#
# webscript

# set -x

#
###############################################################################
#
# wget sites 
#
###############################################################################
# called from cron so hardcode stuff now
cd /home/dtnuser/pushed/public/today
dirName="N4Csites"

# make so folks know we're doing stuff
WORKING=/tmp/generating
touch $WORKING

# http proxy, if needed
# export http_proxy="http://www-proxy.cs.tcd.ie:8080"

#wget options we'll try out, comment out to remove

# add .html to files, e.g. foo.cgi?bar=25 --> foo.cgi?bar=25.html
#HTMLEXTENSIONS="-E"

# Do logging in wgets
LOGFILE="-a /home/dtnuser/pushed/wget.log"

# Cookie handling
COOKIEFILE="/home/dtnuser/pushed/wget-cookies.txt"
COOKIES="--load-cookies=$COOKIEFILE --save-cookies=$COOKIEFILE --keep-session-cookies"

# Recursion/mirroring
# 1 deep only, shallow in other words
RECURS="-r -l 1 -N"
# two deep, dangerous for big sites
RECURS2="-r -l 2 -N"
# the lot
RECURSM="-m"

# Link handling
LINKS="-pk"

# SSL options
SSLOPT="--no-check-certificate"

# Standard options to always use
# STDOPT="--wait=1 --limit-rate=40K -R 'robots*' -U Mozilla -P $dirName"
STDOPT="-R 'robots*' -U Mozilla -P $dirName"

# put these in the same plaec please!
CHECK=./pausecheck.sh

WGET="wget $STDOPT $LINKS $RECURS $HTMLEXTENSIONS $LOGFILE $COOKIES $SSLOPT"
WGET2="wget $STDOPT $LINKS $RECURS2 $HTMLEXTENSIONS $LOGFILE $COOKIES $SSLOPT"
WGETMIN="wget $STDOPT $LINKS $HTMLEXTENSIONS $LOGFILE $COOKIES $SSLOPT"
WMIRROR="wget -m -P $dirName $COOKIES $SSLOPT $LOGFILE $HTMLEXTENSIONS"

# test area - things to do first
echo "`date --rfc-3339=seconds`:Starting crawl."

###############################################################################
#
# wget sites 
#
###############################################################################


# News
$CHECK
echo "`date --rfc-3339=seconds`:Getting www.dn.se"
$WGETMIN http://www.dn.se/nyheter/nyhetsdygnet/m/rss/senaste-nytt
cp $dirName/www.dn.se/nyheter/nyhetsdygnet/m/rss/senaste-nytt $dirName/www.dn.se/nyheter/nyhetsdygnet/m/rss/senaste-nytt.rss
$CHECK
echo "`date --rfc-3339=seconds`:Getting www.expressen.se"
$WGETMIN http://www.expressen.se/1.573280?standAlone=true        # (RSS feed swedish news) 
cp $dirName/www.expressen.se/1.573280?standAlone=true $dirName/www.expressen.se/1.573280.rss
$CHECK
echo "`date --rfc-3339=seconds`:Getting www.dn.se (topnyheter)"
$WGETMIN http://www.dn.se/m/rss/toppnyheter                      # (RSS feed swedish news) 
$CHECKMIN
echo "`date --rfc-3339=seconds`:Getting www.thelocal.se"
$WGETMIN http://www.thelocal.se/RSS/theLocal.xml                 # (RSS feed swedish news in english) 
cp $dirName/www.thelocal.se/RSS/theLocal.xml $dirName/www.thelocal.se/RSS/theLocal.rss
$CHECK
echo "`date --rfc-3339=seconds`:Getting www.nsd.se"
$WGETMIN http://www.nsd.se/allt.rss                              # (RSS feed swedish news) 


echo "`date --rfc-3339=seconds`:Now following RSS <link> elements"
# now follow <link> elements from rss feeds
./rsslinks.sh
for url in `cat stories`
do
	$CHECK
	echo "`date --rfc-3339=seconds`:Getting $url"
	$WGETMIN $url
done

# put time into pushed index
PIFILE="N4Csites/pushed.village.n4c.eu/index.html"
TSTR="Last crawl at: `date --rfc-3339=seconds` UTC"
cp $PIFILE /tmp/pifile
cat /tmp/pifile | sed -e "s/Last crawl at:.*/$TSTR/" >/tmp/pifile1
cp /tmp/pifile1 $PIFILE
rm -f /tmp/pifile /tmp/pifile1

echo "`date --rfc-3339=seconds`:Finished crawl."
rm -f $WORKING
